import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotGrainInfoPrice/` + url, ...arg)

/**
 * 企业客户种类价格表Api接口管理器
 *
 * @author xiang
 * @date  2023/10/07 10:05
 **/
export default {
	// 获取企业客户种类价格表分页
	depotGrainInfoPricePage(data) {
		return request('page', data, 'get')
	},
	// 获取企业客户种类价格表列表
	depotGrainInfoPriceList(data) {
		return request('list', data, 'get')
	},
	// 提交企业客户种类价格表表单 edit为true时为编辑，默认为新增
	depotGrainInfoPriceSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除企业客户种类价格表
	depotGrainInfoPriceDelete(data) {
		return request('delete', data)
	},
	// 获取企业客户种类价格表详情
	depotGrainInfoPriceDetail(data) {
		return request('detail', data, 'get')
	}
}
